#include <stdio.h>
#include "exttypes.h"

int main() {
  printf("int8   = %03i\n"
	 "int16  = %03i\n"
	 "int32  = %03i\n"
	 "int64  = %03i\n"
	 "int128 = %03i\n"
	 "uint8  = %03i\n"
	 "uint16 = %03i\n"
	 "uint32 = %03i\n"
	 "uint64 = %03i\n"
	 "uint128= %03i\n",
	 8*sizeof(int8), 8*sizeof(int16), 8*sizeof(int32),
	 8*sizeof(int64), 8*sizeof(int128),
	 8*sizeof(uint8), 8*sizeof(uint16), 8*sizeof(uint32),
	 8*sizeof(uint64), 8*sizeof(uint128));

  if (sizeof(int8)!=1) {
    printf("int8 is bad");
  }

  if (sizeof(int16)!=2) {
    printf("int16 is bad");
  }

  if (sizeof(int32)!=4) {
    printf("int32 is bad");
  }

  if (sizeof(int64)!=8) {
    printf("int64 is bad");
  }

  if (sizeof(int128)!=16) {
    printf("int128 is bad");
  }

  if (sizeof(uint8)!=1) {
    printf("uint8 is bad");
  }

  if (sizeof(uint16)!=2) {
    printf("uint16 is bad");
  }

  if (sizeof(uint32)!=4) {
    printf("uint32 is bad");
  }

  if (sizeof(uint64)!=8) {
    printf("uint64 is bad");
  }

  if (sizeof(uint128)!=16) {
    printf("uint128 is bad");
  }

  return 0;
}
